use std::{net::IpAddr, rc::Rc, sync::Mutex};

use openlipc_dyn::Lipc;

use crate::api;

pub struct State {
    pub api: api::Api,
    pub app_config: AppConfig,
    pub config: Rc<tokio::sync::Mutex<kdash_protocol::Config>>,
    pub lipc: Rc<Mutex<Lipc>>,
}

pub struct AppConfig {
    pub net: String,
    pub router_ip: IpAddr,
}
