use embedded_graphics::pixelcolor::Gray8;
use lazy_static::lazy_static;
use tinybmp::Bmp;

const ERROR_NETWORK_IMAGE_BUF: &[u8] = include_bytes!("assets/error_network.bmp");
const ERROR_BATTERY_LOW_IMAGE_BUF: &[u8] = include_bytes!("assets/error_battery_low.bmp");

lazy_static! {
    pub static ref ERROR_NETWORK_IMAGE: Bmp<'static, Gray8> =
        Bmp::from_slice(ERROR_NETWORK_IMAGE_BUF).unwrap();
    pub static ref ERROR_BATTERY_LOW_IMAGE: Bmp<'static, Gray8> =
        Bmp::from_slice(ERROR_BATTERY_LOW_IMAGE_BUF).unwrap();
}
