use envconfig::Envconfig;
use std::net;
use url::Url;

#[derive(Envconfig, Debug)]
pub struct Config {
    #[envconfig(from = "KDASH_URL")]
    pub kdash_url: Url,

    #[envconfig(from = "KDASH_JWT")]
    pub kdash_jwt: String,

    #[envconfig(from = "ROUTER_IP")]
    pub router_ip: net::IpAddr,

    #[envconfig(from = "NET")]
    pub net: String,
}
